Forge

Data Structures | Namespaces | Functions
image.h File Reference
`#include <fg/defines.h>`

Go to the source code of this file.

## Data Structures
class | Image
| Image is plain rendering of an image over the window or sub-region of it. More...

## Namespaces
| forge

## Functions
FGAPI fg_err | fg_create_image (fg_image *pImage, const unsigned pWidth, const unsigned pHeight, const fg_channel_format pFormat, const fg_dtype pType)
| Create a Image object. More...
FGAPI fg_err | fg_retain_image (fg_image *pOut, fg_image pImage)
| Increment the internal reference counter for image resource. More...
FGAPI fg_err | fg_release_image (fg_image pImage)
| Destroy image object. More...
FGAPI fg_err | fg_set_image_alpha (fg_image pImage, const float pAlpha)
| Set a global alpha value for rendering the image. More...
FGAPI fg_err | fg_set_image_aspect_ratio (fg_image pImage, const bool pKeepRatio)
| Set option to inform whether to maintain aspect ratio of original image. More...
FGAPI fg_err | fg_get_image_width (unsigned *pOut, const fg_image pImage)
| Get the width of the image. More...
FGAPI fg_err | fg_get_image_height (unsigned *pOut, const fg_image pImage)
| Get the height of the image. More...
FGAPI fg_err | fg_get_image_pixelformat (fg_channel_format *pOut, const fg_image pImage)
| Get the channel format of the image. More...
FGAPI fg_err | fg_get_image_type (fg_dtype *pOut, const fg_image pImage)
| Get the pixel data type of the image. More...
FGAPI fg_err | fg_get_pixel_buffer (unsigned *pOut, const fg_image pImage)
| Get the image buffer resource identifier. More...
FGAPI fg_err | fg_get_image_size (unsigned *pOut, const fg_image pImage)
| Get the image buffer size in bytes. More...
FGAPI fg_err | fg_render_image (const fg_window pWindow, const fg_image pImage, const int pX, const int pY, const int pWidth, const int pHeight)
| Render the image to given window. More...